Package org.eclipse.birt.chart.render

# Interface IAxesDecorator

public interface IAxesDecorator
This interface defines a decorator renderer for Axes

## Method Summary

Modifier and Type
Method
Description
`double[]`
`computeDecorationThickness(IDisplayServer xs, OneAxis ax)`
Returns the thickness for use with decoration.
`void`
`decorateAxes(IPrimitiveRenderer ipr, ISeriesRenderingHints isrh, OneAxis ax)`
Perform decoration.

## Method Details

### computeDecorationThickness

double[] computeDecorationThickness(IDisplayServer xs, OneAxis ax) throws ChartException
Returns the thickness for use with decoration.

Parameters:
  `xs` - The display server.
  `ax` - The runtime axis model.
Returns:
Throws:
  `ChartException`

### decorateAxes

void decorateAxes(IPrimitiveRenderer ipr, ISeriesRenderingHints isrh, OneAxis ax) throws ChartException
Perform decoration.

Parameters:
  `ipr` - The renderer instance.
  `isrh` - Series rendering hints.
  `ax` - The runtime axis model.
Throws:
  `ChartException`